package server

import (
	csgw "git.loafle.net/commons/server-go/socket/web"
	"git.loafle.net/overflow/member_gateway_rpc/config"
	"git.loafle.net/overflow/member_gateway_rpc/servlet"
)

func New(configDir string, _config *config.Config) *csgw.Server {
	ws := &servlet.WebappServlets{
		ConfigDir: configDir,
	}
	sh := &ServerHandlers{
		ServerHandlers: *_config.ServerHandler,
		Config:         _config,
	}

	sh.RegisterServlet("/webapp", ws)

	s := &csgw.Server{
		ServerHandler: sh,
	}

	return s
}
